:root {
	--options-padding: 50px;
	--option-min-width: 200px;
}

#options {
	padding: var(--options-padding);
	width: calc(100% - 2 * var(--options-padding));
	min-width: var(--option-min-width);
	overflow: auto;
	height: calc(100% - 2 * var(--options-padding));
}

.option {
	border-top: 1px solid #cecece;
	font-family: Arial, sans-serif;
}

.option:first-child {
	border-top: none;
}

.option .option-header {
	display: flex;
	height: fit-content;
	top: 1px;
	position: relative;
}

.option .option-header .option-title {
	padding: 20px;
	width: 100%;
}

.option .option-header .option-title > .option-name,
.option .option-header .option-title > .option-description {
	margin: 0;
}

.option .option-header .option-title > .option-description {
	margin-top: 10px;
	font-size: 15px;
	color: #9a9a9a;
}

.option .option-header .option-title > .option-name > span:not([disabled]):hover {
	cursor: pointer;
}

.option .option-header > .option-toggle-container,
.option .option-header > .option-action-container {
	flex-shrink: 0;
	width: 97px;
	position: relative;
	margin-right: 20px;
	margin-left: 20px;
	padding-top: 20px;
	padding-bottom: 20px;
}

.option .option-header > .option-toggle-container > .option-toggle,
.option .option-header > .option-action-container > .option-action {
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	margin: auto;
	width: 65px;
	height: fit-content;
	padding-top: 10px;
	padding-bottom: 10px;
	padding-left: 15px;
	padding-right: 15px;
	border: 1px solid #cecece;
	border-radius: 4px;
	background: white;
	transition: background .2s ease;
	text-align: center;
}

.option .option-header > .option-toggle-container > .option-toggle:hover,
.option .option-header > .option-action-container > .option-action:hover {
	cursor: pointer;
	background: #e6e6e6;
}

.option .option-body {
	padding: 20px;
}

.option .option-content.transitions {
	transition: all 0.3s cubic-bezier(0.65, 0, 0.35, 1);
	-webkit-transition: all 0.3s cubic-bezier(0.65, 0, 0.35, 1);
	-moz-transition: all 0.3s cubic-bezier(0.65, 0, 0.35, 1);
}

.option .option-content {
	overflow:hidden;
	border:1px solid #afafaf;
	background:#f3f3f3;
	opacity: 0;
	max-height: 0px;
	border-radius: 4px;
	margin-left: 10px;
	margin-right: 10px;
}

.option .option-body *:first-child {
	margin-top: 0;
}

.option.wrapped .option-header {
	flex-wrap: wrap;
}

.option.wrapped .option-header .option-action-container,
.option.wrapped .option-header .option-toggle-container {
	margin-bottom: 20px;
	margin-left: auto;
}
